import { DestroyRef } from '@angular/core';
import { Indicator } from '@metad/ocap-core';
import { StatisticalType } from '../types';
import * as i0 from "@angular/core";
export declare class NgmSparkLineDirective {
    #private;
    readonly destroyRef: DestroyRef;
    readonly indicator: import("@angular/core").InputSignal<Indicator>;
    readonly trend: import("@angular/core").InputSignal<any>;
    readonly trends: import("@angular/core").InputSignal<any>;
    readonly statisticalType: import("@angular/core").InputSignal<StatisticalType>;
    readonly primaryTheme: import("@angular/core").InputSignal<string>;
    readonly config$: import("@angular/core").Signal<{
        data: any[];
        color: any;
    }>;
    constructor();
    static ɵfac: i0.ɵɵFactoryDeclaration<NgmSparkLineDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<NgmSparkLineDirective, "[ngmSparkLine]", never, { "indicator": { "alias": "indicator"; "required": true; "isSignal": true; }; "trend": { "alias": "trend"; "required": false; "isSignal": true; }; "trends": { "alias": "trends"; "required": false; "isSignal": true; }; "statisticalType": { "alias": "statisticalType"; "required": false; "isSignal": true; }; "primaryTheme": { "alias": "primaryTheme"; "required": false; "isSignal": true; }; }, {}, never, never, true, never>;
}
